ClearOS Bug Tracker


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0015501ClearOSapp-web-server - Web Serverpublic2017-07-02 14:492017-09-07 21:25
ReporterNickH 
Assigned Topbaldwin 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version7.3.0 
Target Version7.4.0 Beta 1Fixed in Version7.4.0 Beta 1 
Summary0015501: Changing /etc/httpd/conf/httpd.conf crashes syswatch
DescriptionIf you edit etc/httpd/conf/httpd.conf, syswatch crashes.
Steps To ReproduceAdd a dummy line to the end of /etc/httpd/conf/httpd.conf (for example a #) then save the file.

It appears that the clearsync daemon detects the change and reloads httpd, but somewhere during this syswatch crashes. The servicewatch daemon restarts syswatch a few minutes later.

From /var/log/secure:
Jul 2 21:35:52 server clearsync: web_server - event triggered - configuration_change_event
Jul 2 21:35:52 server clearsync: web_server - reloading httpd
Jul 2 21:40:01 server servicewatch: sanity checking syswatch
Jul 2 21:40:33 server servicewatch: restarting syswatch
Jul 2 21:40:33 server firewall: Starting firewall...

and from /var/log/messages:
Jul 2 21:35:52 server systemd: syswatch.service: main process exited, code=killed, status=61/RTMIN+27
Jul 2 21:35:52 server syswatch: /etc/rc.d/init.d/syswatch: line 18: [: =: unary operator expected
Jul 2 21:35:52 server syswatch: Stopping syswatch: [FAILED]
Jul 2 21:35:52 server systemd: Unit syswatch.service entered failed state.
Jul 2 21:35:52 server systemd: syswatch.service failed.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0005831)
pbaldwin (administrator)
2017-07-04 07:20

The clearsync trigger was sending a special kill signal to syswatch. It's no longer needed and was removed.

- Issue History
Date Modified Username Field Change
2017-07-02 14:49 NickH New Issue
2017-07-04 07:17 pbaldwin Assigned To => pbaldwin
2017-07-04 07:17 pbaldwin Status new => confirmed
2017-07-04 07:20 pbaldwin Note Added: 0005831
2017-07-04 07:20 pbaldwin Status confirmed => resolved
2017-07-04 07:20 pbaldwin Fixed in Version => 7.3.1 Updates
2017-07-04 07:20 pbaldwin Resolution open => fixed
2017-08-07 08:06 pbaldwin Category app-syswatch - System Watch => app-web-server - Web Server
2017-08-14 20:22 pbaldwin Fixed in Version 7.3.1 Updates => 7.4.0 Beta 1
2017-08-14 20:22 pbaldwin Target Version => 7.4.0 Beta 1
2017-09-07 21:25 pbaldwin Status resolved => closed